<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <title>User Interface</title>

    <!-- Bootstrap -->
    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">
   <!-- Optional theme -->
   <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap-theme.min.css" integrity="sha384-rHyoN1iRsVXV4nD0JutlnGaslCJuC7uwjduW9SVrLvRYooPp2bWYgmgJQIXwl/Sp" crossorigin="anonymous">

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
  </head>
  <body>
    <div class="container">
      <h1>User Interface</h1>

      <h2>Pick Port</h2>
      <form class="form-inline">
        <div class="form-group">
          <label for="port-pick">Port</label>
          <input type="text" class="form-control" id="port-pick" value="8545">
        </div>
        <button type="button" class="btn btn-default" id="port-pick-button">Pick</button>
      </form>

      <h2>Account Unlock</h2>
      <form class="form-inline">
        <div class="form-group">
          <label for="login-wallet-id">Account-ID</label>
          <input type="text" class="form-control" id="login-wallet-id" placeholder="7df9a875a174b3bc565e6424a0050ebc1b2d1d82">
        </div>
        <div class="form-group">
          <label for="login-password">Password</label>
          <input type="password" class="form-control" id="login-password" placeholder="Password">
        </div>
        <button type="button" class="btn btn-default" id="login-button">Unlock</button>
      </form>

      <h2>Account Balance</h2>
      <form class="form-inline">
        <div class="form-group">
          <label for="current-balance">Balance</label>
          <input type="number" class="form-control" id="current-balance" placeholder="Amount">
        </div>
        <button type="button" class="btn btn-default" id="balance-button">Update</button>
      </form>

      <h2>Transaction: Send Currency</h2>
      <form class="form-inline">
        <div class="form-group">
          <label for="send-wallet-id">Account-ID</label>
          <input type="text" class="form-control" id="send-wallet-id" placeholder="7df9a875a174b3bc565e6424a0050ebc1b2d1d82">
        </div>
        <div class="form-group">
          <label for="send-amount">Amount</label>
          <input type="number" class="form-control" id="send-amount" placeholder="Amount">
        </div>
        <button type="button" class="btn btn-default" id="send-button">Send</button>
      </form>

    </div>

    <!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
    <!-- Include all compiled plugins (below), or include individual files as needed -->
    <!-- Latest compiled and minified JavaScript -->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>
    <script src="/common/web3.min.js"></script>
    <script src="main.js"></script>
  </body>
</html>






